| Home | Libraries | People | FAQ | More

##### basic_deadline_timer::cancel (1 of 2 overloads)

Cancel any asynchronous operations that are waiting on the timer.

    std::size_t cancel();

This function forces the completion of any pending asynchronous wait operations against the timer. The handler for each cancelled operation will be invoked with the boost::asio::error::operation_aborted error code.

Cancelling the timer does not change the expiry time.

###### Return Value

The number of asynchronous operations that were cancelled.

###### Exceptions

boost::system::system_error

  Thrown on failure.